%define upstream_name    App-Trace
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Embedded debug statements, including call/return tracing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Options)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
App::Trace provides debug/tracing support for perl programs and modules.

The basic concept is that you put a special call at the beginning and end
of each subroutine/method, and when tracing is enabled, you can see the
flow of your program.

This module reflects my dislike of the perl debugger. I also dislike
putting in print statements to debug, then commenting them out when I'm
done. I would rather put debug statements in my code and leave them there.
That way, when programs work their way into production, they can still be
debugged by using appropriate command line options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc TODO README META.yml CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-10.mga8
+ Revision: 1492737
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.500.0-9.mga7
+ Revision: 1265691
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.500.0-8.mga6
+ Revision: 1022559
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.500.0-7.mga6
+ Revision: 940167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-6.mga5
+ Revision: 746480
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-5.mga5
+ Revision: 683527
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.500.0-4.mga4
+ Revision: 509071
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-3.mga3
+ Revision: 363084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 shlomif <shlomif> 0.500.0-2.mga3
+ Revision: 252281
- Correct the license
- imported package perl-App-Trace


* Sun Mar 18 2012 cpan2dist 0.50-1mga
- initial mageia release, generated with cpan2dist
